# spi_options_t Struct Reference

`#include <spi_at32ap7000.h>`

## Detailed Description

Parameters for setting options for slave chips.

Definition at line 75 of file spi_at32ap7000.h.

## Data Fields
unsigned int | baudrate
| Prefered baudrate for the SPI.
unsigned char | bits
| Number of bits in each character (8 - 16).
unsigned char | fdiv
| fdiv Downsample MCK by a factor of N before passing it to the baudrate generator (will give downsample all communcation to 1/N of the speed, and increase delays by a factor of N (N=32).
unsigned char | modfdis
| modfdis This bit disables the mode fault detection \ (without this bit SPI in master mode will disable itself if another master tries to address it)
unsigned char | reg
| Which register to setup.
unsigned char | spck_delay
| Delay before first clock pulse after selecting slave (in MCK).
unsigned char | spi_mode
| Which of the four SPI-modes to use when transmitting.
unsigned char | stay_act
| Set this chip to stay active after last transfer to it.
unsigned char | trans_delay
| Delay between each transfer/character (in MCK).

## Field Documentation

unsigned int spi_options_t::baudrate

Prefered baudrate for the SPI.

Definition at line 80 of file spi_at32ap7000.h.

Referenced by getBaudDiv(), init_spiMaster(), and init_spiSlave().

unsigned char spi_options_t::bits

Number of bits in each character (8 - 16).

Definition at line 83 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().

unsigned char spi_options_t::fdiv

fdiv Downsample MCK by a factor of N before passing it to the baudrate generator (will give downsample all communcation to 1/N of the speed, and increase delays by a factor of N (N=32).

Definition at line 102 of file spi_at32ap7000.h.

Referenced by getBaudDiv(), and spi_initMaster().

unsigned char spi_options_t::modfdis

modfdis This bit disables the mode fault detection \ (without this bit SPI in master mode will disable itself if another master tries to address it)

Definition at line 108 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_initMaster().

unsigned char spi_options_t::reg

Which register to setup.

Definition at line 77 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().

unsigned char spi_options_t::spck_delay

Delay before first clock pulse after selecting slave (in MCK).

Definition at line 86 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().

unsigned char spi_options_t::spi_mode

Which of the four SPI-modes to use when transmitting.

Definition at line 95 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().

unsigned char spi_options_t::stay_act

Set this chip to stay active after last transfer to it.

Definition at line 92 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().

unsigned char spi_options_t::trans_delay

Delay between each transfer/character (in MCK).

Definition at line 89 of file spi_at32ap7000.h.

Referenced by init_spiMaster(), init_spiSlave(), and spi_setupChipReg().